2019-12-10 17:09 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005589Spring engineGeneralpublic2018-01-24 20:53
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005589: 103.0.1-980 Freeze with truncated infolog and exit code -1073740791
DescriptionSpring freezes with no stacktrace. Here is the log: https://github.com/ZeroK-RTS/CrashReports/issues/1220

We were able to learn that it was a crash and not just someone closing Spring due to the attached chat log.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon chatLog.txt (1,682 bytes) 2017-05-30 12:31 -
    [20:20] Licho: that spring fails to self detect
    [20:25] Nightwatch [CrashReports] Chobbyla has opened issue Spring crash [103.0.1-980-g522bf60] <https://github.com/ZeroK-RTS/CrashReports/issues/1220>
    [20:25] MatthewGB: .
    [20:27] MatthewGB: Chobby.exe Information: 0 : ZkData.TcpTransport socket disconnected: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host.
    [20:27] MatthewGB: So... ZK servers randomly kick me?
    [20:28] GoogleFrog: what occured?
    [20:29] GoogleFrog: idk what that crash looks like
    [20:29] GoogleFrog: ZkData.TcpTransport socket disconnected looks benign to me. Chobby isn't the lobby connection
    [20:29] MatthewGB: Was in a chicken game, and it randomly crashed
    [20:29] MatthewGB: That line there is the last line of the log before it crashed
    [20:30] GoogleFrog: was there a message after the crash?
    [20:31] MatthewGB: It just said it crashed
    [20:31] Licho: those messages are benign it occurs whenever spring crashes
    [20:31] Licho: because it closes connection to wrapper
    [20:31] MatthewGB: Oh
    [20:31] MatthewGB: Well the log shows nothing then
    [20:31] Anarchid: paste full log
    [20:32] Licho: it does show the reason
    [20:32] Licho: its lockup
    [20:32] Licho: steam stopped responding
    [20:32] Licho: steam stopped responding
    [20:32] Licho: and failed to close
    [20:32] Licho: *spring
    [20:33] MatthewGB: Over 2k chars
    [20:33] GoogleFrog: so was the crash a freeze or spring just stopped?
    [20:34] MatthewGB: It's https://github.com/ZeroK-RTS/CrashReports/issues/1220
    [20:34] MatthewGB: freeze then it closed itself
    [20:34] MatthewGB: Not because of windows, spring closed it self
    txt file icon chatLog.txt (1,682 bytes) 2017-05-30 12:31 +

-Relationships
related to 0005504resolvedabma 103.0.1-712 Explain unusual exit codes 
has duplicate 0005593closed 103.0.1-980 AL lib error 
has duplicate 0005616closed 103.0.1-697-g918caba Nvidia crash 
+Relationships

-Notes

~0017738

Kloot (developer)

Last edited: 2017-05-30 13:08

View 3 revisions

-1073740791 is exception 0xc0000409 aka "invalid socket", which potentially explains many of the strange reports ending with "ZkData.TcpTransport socket disconnected: Unable to read data from the transport connection".

add a config-override to set HangTimeout=10 so we can obtain traces.

edit: according to https://blogs.msdn.microsoft.com/joshpoley/2011/06/13/common-process-termination-values this actually seems to mean something else, and worse.

~0017746

abma (administrator)

Last edited: 2017-05-30 17:17

View 2 revisions

is something inside the windows event log?

<del>also, why "freeze", where is this info from?</del>

edit:

"[20:34] MatthewGB: freeze then it closed itself"

thats just a crash.

~0017748

Google_Frog (reporter)

Here is a logwith a stacktrace for a start of game crash and a matching exit code https://github.com/ZeroK-RTS/CrashReports/issues/1225.

~0017749

Kloot (developer)

ATI driver crash.

  rts/Lua/LuaMaterial.cpp:321
  rts/Rendering/LuaObjectDrawer.cpp:362
  rts/Rendering/LuaObjectDrawer.cpp:342
  rts/Rendering/LuaObjectDrawer.cpp:648
  rts/Rendering/LuaObjectDrawer.cpp:479
  rts/Rendering/UnitDrawer.cpp:381
  rts/Rendering/WorldDrawer.cpp:312
  rts/Rendering/WorldDrawer.cpp:248
  rts/Game/Game.cpp:1306
  rts/System/SpringApp.cpp:788
  rts/System/SpringApp.cpp:818
  rts/System/Main.cpp:46
  rts/System/Main.cpp:95

If there is stack corruption inside atioglxx.dll, all bets are off.

~0017750

abma (administrator)

enabling DebugGL could help?!

~0017753

Kloot (developer)

Last edited: 2017-06-01 12:19

View 2 revisions

unlikely, DebugGL is for catching *logical* errors in Spring's usage of the GL API.

with very few exceptions drivers should *NEVER* crash even if fed absolute garbage from an application.

~0017754

Google_Frog (reporter)

Here is one which says "Error: Stacktrace for Spring 103.0.1-980-g522bf60 develop" but then fails to output a stacktrace. The graphics card is also reasonable. https://github.com/ZeroK-RTS/CrashReports/issues/1229

Here is one with an AL error https://github.com/ZeroK-RTS/CrashReports/issues/1234

~0017755

Kloot (developer)

Last edited: 2017-06-01 13:14

View 3 revisions

1229 has "AL lib: (EE) alc_cleanup: 1 device not closed" near the end, 1234 spams "AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102".

googling those only gets me to Minecraft / Blender bug reports of the same error.

~0017756

Kloot (developer)

https://bugs.mojang.com/browse/MC-62831 and https://blender.stackexchange.com/questions/79855/blender-crashing-when-put-in-background both imply this happens after alt-tabbing / putting Spring in the background for a while.

http://www.minecraftforum.net/forums/support/unmodified-minecraft-client/1864554-minecraft-is-unplayable-help OTOH could mean a long running time is all it takes.

~0017757

abma (administrator)

> unlikely, DebugGL is for catching *logical* errors in Spring's usage of the GL API.

I guess lua widgets could cause a driver crash, too?!

~0018748

Kloot (developer)

OpenAL errors were fixed, ATI crashes worked around ZK-side.

remaining freezes in 104-maintenance like 0005876 and 0005868 may be deadlocks.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-30 12:31 Google_Frog New Issue
2017-05-30 12:31 Google_Frog File Added: chatLog.txt
2017-05-30 12:59 Kloot Note Added: 0017738
2017-05-30 12:59 Kloot Status new => feedback
2017-05-30 13:03 Kloot Note Edited: 0017738 View Revisions
2017-05-30 13:08 Kloot Note Edited: 0017738 View Revisions
2017-05-30 17:14 abma Relationship added related to 0005504
2017-05-30 17:16 abma Note Added: 0017746
2017-05-30 17:17 abma Note Edited: 0017746 View Revisions
2017-05-31 14:42 Google_Frog Note Added: 0017748
2017-05-31 14:42 Google_Frog Status feedback => new
2017-06-01 00:22 Kloot Note Added: 0017749
2017-06-01 07:35 abma Note Added: 0017750
2017-06-01 12:18 Kloot Note Added: 0017753
2017-06-01 12:19 Kloot Note Edited: 0017753 View Revisions
2017-06-01 12:32 Google_Frog Note Added: 0017754
2017-06-01 13:12 Kloot Note Added: 0017755
2017-06-01 13:14 Kloot Note Edited: 0017755 View Revisions
2017-06-01 13:14 Kloot Note Edited: 0017755 View Revisions
2017-06-01 13:27 Kloot Note Added: 0017756
2017-06-01 14:53 abma Note Added: 0017757
2017-06-02 11:44 Kloot Relationship added has duplicate 0005593
2017-06-20 19:48 Kloot Relationship added has duplicate 0005616
2018-01-24 20:53 Kloot Assigned To => Kloot
2018-01-24 20:53 Kloot Status new => closed
2018-01-24 20:53 Kloot Resolution open => fixed
2018-01-24 20:53 Kloot Note Added: 0018748
+Issue History